package hibernate;

import javax.servlet.http.*;
import net.sf.hibernate.*;
import net.sf.hibernate.cfg.Configuration;
import org.apache.struts.action.*;

/**
 * @struts.action
 *  path="/hibernate"
 * @struts.action-forward
 *  name="success"
 *  path="/hibernatelist.jsp"
 */
public class HibernateAction extends Action{
	public ActionForward execute(ActionMapping mapping,ActionForm form,
			HttpServletRequest request,HttpServletResponse response)
	throws Exception {
		Configuration cfg = new Configuration();
		cfg.configure();
		SessionFactory sf = cfg.buildSessionFactory();
		Session sess = sf.openSession();
		
		Criteria cr = sess.createCriteria(mapping.Tmaker.class);
		request.setAttribute("list", cr.list());
		
		return mapping.findForward("success");
	}
}
