package hibernate;

import java.util.List;
import javax.servlet.http.*;
import mapping.Tmaker;
import net.sf.hibernate.*;
import org.apache.struts.action.*;
import org.springframework.orm.hibernate.*;

/**
 * @struts.action
 *  path="/spring"
 * @struts.action-forward
 *  name="success"
 *  path="/hibernatelist.jsp"
 * @spring.property
 *  name="sessionFactory"
 *  ref="hibernateSession"
 */
public class SpringAction extends Action{
	public ActionForward execute(ActionMapping mapping,ActionForm form,
			HttpServletRequest request,HttpServletResponse response){
		List list = (List)hibernateTemplate.execute(new HibernateCallback(){
            public Object doInHibernate(Session session)
            throws HibernateException
            {
                Criteria c = session.createCriteria(Tmaker.class);
                return c.list();
            }
        });
		request.setAttribute("list", list);
		
		return mapping.findForward("success");
	}
	
	private HibernateTemplate hibernateTemplate;
	public final void setSessionFactory(SessionFactory sessionFactory) {
		hibernateTemplate = new HibernateTemplate(sessionFactory);
	}
}
